using System;
using System.Runtime.InteropServices;
using System.Reflection;
using System.Linq;
using HidApi;

internal static class Program2
{


				public static unsafe void Main(params string[] args)
				{
								foreach (var info in Hid.Enumerate())
												PrintObject (info);

								var dev = Hid.Open (0x16c0, 0x05df, "matthiaslinder.com:i2c");
								PrintObject (dev);
								
								byte[] read = dev.ReceiveFeatureReport(129);
								Console.Write(read[0]+" ");		Console.Write(read[1]+" ");		Console.Write(read[2]+" ");		 
								read[1] = 0xFF;
		            dev.SendFeatureReport(read); 
		    				dev.ReceiveFeatureReport(read);
								Console.Write(read[0]+" ");		Console.Write(read[1]+" ");		Console.Write(read[2]+" ");		 
				}

				private static void PrintObject(object o)
				{
								if (o == null)
												return;
								Console.WriteLine ("[{0}]", o.GetType ());
								foreach (FieldInfo fi in o.GetType().GetFields())
												Console.WriteLine ("{0}: {1}", fi.Name, fi.GetValue (o) ?? "(null)");
								foreach (PropertyInfo fi in o.GetType().GetProperties())
												Console.WriteLine ("{0}: {1}", fi.Name, fi.GetValue (o, null) ?? "(null)");
								Console.WriteLine ();
				}
}


